///////////////////////////////////////////////////////////////////////////////
// FileRecord.cpp
// Paul Wilson
// Oxford Metrics, May 2000
///////////////////////////////////////////////////////////////////////////////

#include "FileRecord.h"
#include <cassert>

VFileRecord::VFileRecord(BYTE * a_RawData, SSHORT a_Len)
{
	assert(a_RawData != NULL);
	assert(a_Len > 0);

	m_RawData = a_RawData;
	m_Length = a_Len;
	m_bEdited = false;
}

VFileRecord::VFileRecord()
{
	m_RawData = NULL;
	m_Length = 0;
	m_bEdited = false;
}

VFileRecord::~VFileRecord()
{
	if (m_RawData != NULL)
	{
		delete [] m_RawData;
		m_RawData = NULL;
	}
}
/*
void VFileRecord::ByteCopy(BYTE * a_pDestBuf, const BYTE * a_pSrcBuf, int a_NumToCopy)
{
	assert(a_pDestBuf != NULL);
	assert(a_pSrcBuf != NULL);
	assert(a_NumToCopy > 0);

	for (int i = 0; i < a_NumToCopy; i++)
	{
		a_pDestBuf[i] = a_pSrcBuf[i];
	}
}
*/
void VFileRecord::SetLength(SSHORT a_Len)
{
	assert(a_Len > 0);

	m_Length = a_Len;
}

